Remove expired ports:

2020-09-30 audio/zinf: Does not build, no upstream
2020-10-01 emulators/qemu-sbruno: Port will be removed in favor of emulators/qemu
This commit is contained in:
Rene Ladan 2020-10-02 20:19:37 +00:00
parent c2444b08d3
commit 1864aa5ee2
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=551231
65 changed files with 2 additions and 2112 deletions

2
MOVED
View File

@ -15633,3 +15633,5 @@ net/libproxy-gnome2||2020-09-30|Removed gnome2 port not depended on
sysutils/system-tools-backends||2020-09-30|Abandonware from gnome2 era
multimedia/py-gstreamer|multimedia/py-gstreamer1|2020-09-30|Has expired: Uses deprecated version of python
lang/spidermonkey68|lang/spidermonkey78|2020-10-01|Replaced by a more recent version
audio/zinf||2020-10-02|Has expired: Does not build, no upstream
emulators/qemu-sbruno|emulators/qemu|2020-10-02|Has expired: Port will be removed in favor of emulators/qemu

View File

@ -870,7 +870,6 @@
SUBDIR += ympd
SUBDIR += yoshimi
SUBDIR += zam-plugins-lv2
SUBDIR += zinf
SUBDIR += zita-convolver
SUBDIR += zita-resampler
SUBDIR += zrythm

View File

@ -1,60 +0,0 @@
# Created by: Roman Shterenzon <roman@xpert.com>
# $FreeBSD$
PORTNAME= zinf
PORTVERSION= 2.2.5
PORTREVISION= 24
CATEGORIES= audio
MASTER_SITES= SF
MAINTAINER= ports@FreeBSD.org
COMMENT= GTK-based MP3 player
LIB_DEPENDS= libid3.so:audio/id3lib \
libgdbm.so:databases/gdbm
USES= alias gettext gmake gnome libtool ncurses pathfix perl5 \
pkgconfig
USE_CXXSTD= gnu++98
USE_GNOME= gtk20
GNU_CONFIGURE= yes
CONFIGURE_ARGS= --enable-ipv6 \
--disable-arts \
--disable-esd
CPPFLAGS+= -I${LOCALBASE}/include
CPPFLAGS+= -D_WANT_SEMUN
LDFLAGS+= -lpthread -L${LOCALBASE}/lib
LDFLAGS_i386= -Wl,-znotext
OPTIONS_DEFINE= VORBIS
OPTIONS_DEFAULT=VORBIS
OPTIONS_SUB= yes
INSTALL_TARGET= install-strip
VORBIS_CONFIGURE_OFF= --disable-vorbis
VORBIS_LIB_DEPENDS= libvorbis.so:audio/libvorbis
BROKEN= Does not build with llvm 11
DEPRECATED= Does not build, no upstream
EXPIRATION_DATE=2020-09-30
.include <bsd.port.pre.mk>
.if ${ARCH} == "i386"
BUILD_DEPENDS+= nasm:devel/nasm
CPPFLAGS+= "-D_M_IX86"
.else
CONFIGURE_ARGS+= --disable-x86opts
.endif
post-patch:
@${REINPLACE_CMD} -e 's|Player::||' ${WRKSRC}/base/include/player.h
post-install:
@${MKDIR} ${STAGEDIR}${PREFIX}/etc/sdr/plugins
${INSTALL_DATA} ${FILESDIR}/sdr2.plugin.S100.audio.rtp.mpa.zinf \
${STAGEDIR}${PREFIX}/etc/sdr/plugins
.include <bsd.port.post.mk>

View File

@ -1,2 +0,0 @@
SHA256 (zinf-2.2.5.tar.gz) = f301439ca56c52bf9af0e2693d8ba622532895ecc45fd82f668897bde390cf73
SIZE (zinf-2.2.5.tar.gz) = 2044561

View File

@ -1,11 +0,0 @@
--- base/Makefile.in.orig 2004-02-17 22:11:09 UTC
+++ base/Makefile.in
@@ -245,7 +245,7 @@ zinf_SOURCES = src/log.cpp src/player.cp
zinf_LDADD = $(top_builddir)/io/libio.la unix/libunix.la \
- $(ZINF_LIBS) $(GDBM_LIBS) $(THREAD_LIBS) $(GLIB_LIBS) -ldl
+ $(ZINF_LIBS) $(GDBM_LIBS) $(THREAD_LIBS) $(GLIB_LIBS)
zinf_LDFLAGS = -export-dynamic -L$(top_builddir)/mdb

View File

@ -1,13 +0,0 @@
--- base/include/event.h.orig 2003-09-16 17:34:53 UTC
+++ base/include/event.h
@@ -24,7 +24,10 @@ ________________________________________
#ifndef INCLUDED_EVENT_H_
#define INCLUDED_EVENT_H_
+#include <inttypes.h>
+#if HAVE_STDINT_H
#include <stdint.h>
+#endif
#include "config.h"
#include "errors.h"

View File

@ -1,13 +0,0 @@
--- base/include/facontext.h.orig 2003-09-16 17:58:13 UTC
+++ base/include/facontext.h
@@ -25,7 +25,10 @@ ________________________________________
#ifndef INCLUDED_FACONTEXT_H_
#define INCLUDED_FACONTEXT_H_
+#include <inttypes.h>
+#if HAVE_STDINT_H
#include <stdint.h>
+#endif
#include "config.h"
#include "preferences.h"

View File

@ -1,10 +0,0 @@
--- base/include/metadata.h.orig 2003-09-16 20:34:53.000000000 +0300
+++ base/include/metadata.h
@@ -25,6 +25,7 @@ ________________________________________
#define INCLUDED_METADATA_H_
#include <string>
+#include <cstring>
#include <map>

View File

@ -1,13 +0,0 @@
--- base/include/preferences.h.orig 2003-09-16 17:34:53 UTC
+++ base/include/preferences.h
@@ -26,7 +26,10 @@ ________________________________________
#include <string>
#include <vector>
+#include <inttypes.h>
+#if HAVE_STDINT_H
#include <stdint.h>
+#endif
#include "config.h"
#include "errors.h"

View File

@ -1,10 +0,0 @@
--- base/include/queue.h.orig 2003-09-16 17:34:53 UTC
+++ base/include/queue.h
@@ -24,6 +24,7 @@ ________________________________________
#ifndef INCLUDED_QUEUE_H_
#define INCLUDED_QUEUE_H_
+#include <assert.h>
#include "config.h"
#include "mutex.h"

View File

@ -1,13 +0,0 @@
--- base/include/swab.h.orig 2003-09-16 17:34:53 UTC
+++ base/include/swab.h
@@ -1,7 +1,10 @@
#if !defined(_ZINF_SWAB_H)
#define _ZINF_SWAB_H
+#include <inttypes.h>
+#if HAVE_STDINT_H
#include <stdint.h>
+#endif
#define SWAB16(a) ( (((uint16_t)(a) << 8) & 0xFF00) | (((uint16_t)(a) >> 8) & 0x00FF) )
#define SWAB32(a) ( (SWAB16(((a) >> 16) & 0xFFFF) << 0) | (SWAB16((a) & 0xFFFF) << 16) )

View File

@ -1,13 +0,0 @@
--- base/include/thread.h.orig 2003-09-16 17:34:53 UTC
+++ base/include/thread.h
@@ -26,7 +26,10 @@ ________________________________________
#include "config.h"
+#include <inttypes.h>
+#if HAVE_STDINT_H
#include <stdint.h>
+#endif
typedef void (*thread_function)(void * arg);

View File

@ -1,38 +0,0 @@
--- base/src/downloadmanager.cpp.orig 2003-09-16 17:34:53 UTC
+++ base/src/downloadmanager.cpp
@@ -398,7 +398,7 @@ Error DownloadManager::ReadDownloadFile(
{
// find a suitable plugin
result = kError_FormatNotSupported;
- char* extension = strrchr(url, '.');
+ const char* extension = strrchr(url, '.');
if(extension)
{
@@ -558,7 +558,7 @@ static int32_t GetContentLengthFromHeade
{
int32_t result = -1;
- char* cp = strstr(buffer, "Content-Length:");
+ const char* cp = strstr(buffer, "Content-Length:");
if(cp)
{
@@ -572,7 +572,7 @@ static int32_t GetContentLengthFromHeade
static void GetContentTimeFromHeader(const char* buffer, string &mTime)
{
- char* cp = strstr(buffer, "Last-Modified:");
+ const char* cp = strstr(buffer, "Last-Modified:");
if(cp)
{
string::size_type pos;
@@ -748,7 +748,7 @@ Error DownloadManager::Download(Download
struct sockaddr_in addr;
struct hostent host;
SOCKET s = -1;
- char* file = NULL;
+ const char* file = NULL;
bool useProxy;
struct stat st;
string destPath;

View File

@ -1,51 +0,0 @@
--- base/src/player.cpp.orig 2004-02-02 17:39:35 UTC
+++ base/src/player.cpp
@@ -547,7 +547,7 @@ void Player::HandleSingleArg(char *arg)
// who needs to get this, plm or dlm?
bool giveToDLM = false;
bool giveToTheme = false;
- char* extension = NULL;
+ const char* extension = NULL;
extension = strrchr(url.c_str(), '.');
@@ -1103,7 +1103,7 @@ char *
Player::
GetProtocol(const char *title)
{
- char *temp_proto;
+ const char *temp_proto;
char *proto_return = NULL;
temp_proto = strstr(title, "://");
@@ -1122,7 +1122,7 @@ char *
Player::
GetExtension(const char *title)
{
- char *temp_ext;
+ const char *temp_ext;
char *ext_return = NULL;
char *proto = NULL;
@@ -1961,15 +1961,14 @@ HandlePrefsChanged(Event *pEvent)
m_context->prefs->GetPrefString(kProxyHostPref, &buffer);
}
- char *port = strchr(buffer.c_str(),':');
- if (port) {
- *port = '\0';
- port++;
- }
string proxyAddr = buffer;
int nPort = 80;
- if (port && *port)
- nPort = atoi(port);
+ size_t pos = buffer.find(':');
+ if (pos != string::npos) {
+ proxyAddr = buffer.substr(0, pos++);
+ if (pos < buffer.size())
+ nPort = atoi(buffer.substr(pos).c_str());
+ }
}

View File

@ -1,20 +0,0 @@
--- base/src/playlist.cpp.orig 2003-09-16 17:58:13 UTC
+++ base/src/playlist.cpp
@@ -1961,7 +1961,7 @@ Error PlaylistManager::ReadPlaylist(cons
{
// find a suitable plugin
result = kError_FormatNotSupported;
- char* extension = strrchr(url, '.');
+ const char* extension = strrchr(url, '.');
if(extension)
{
@@ -2042,7 +2042,7 @@ Error PlaylistManager::WritePlaylist(con
{
// find a suitable plugin
result = kError_FormatNotSupported;
- char* extension = strrchr(url, '.');
+ const char* extension = strrchr(url, '.');
if(extension)
{

View File

@ -1,12 +0,0 @@
--- base/src/preferences.cpp.orig 2004-02-14 00:24:01.000000000 +0200
+++ base/src/preferences.cpp
@@ -31,6 +31,9 @@ ________________________________________
#include <string>
#include <stdlib.h>
+extern "C" {
+#include <strings.h>
+}
#ifdef __QNX__
#include <strings.h>
#endif

View File

@ -1,10 +0,0 @@
--- base/src/prefixprefs.cpp.orig 2003-09-16 20:34:54.000000000 +0300
+++ base/src/prefixprefs.cpp
@@ -24,6 +24,7 @@ ________________________________________
#include <stdlib.h>
#include <string>
+#include <cstring>
using namespace std;
#include "prefixprefs.h"

View File

@ -1,12 +0,0 @@
--- base/src/properties.cpp.orig 2003-11-11 19:59:07 UTC
+++ base/src/properties.cpp
@@ -29,7 +29,9 @@ ________________________________________
#endif
+#if HAVE_STDINT_H
#include <stdint.h>
+#endif
// #include <map>
#include <vector>
#include <string>

View File

@ -1,29 +0,0 @@
--- base/src/registrar.cpp.orig 2003-09-16 17:34:54 UTC
+++ base/src/registrar.cpp
@@ -35,7 +35,7 @@ ________________________________________
#include <stdlib.h>
#include <unistd.h>
#include <set>
-#include <wordexp.h>
+#include <glob.h>
#endif // WIN32
#include <stdio.h>
@@ -86,13 +86,13 @@ InitializeRegistry(Registry* registry, P
dir = *di++;
#ifndef WIN32
- wordexp_t result;
- if (wordexp(dir.c_str(), &result, 0) ==0){
+ glob_t result;
+ if (glob(dir.c_str(), 0, NULL, &result) ==0){
//cerr << "Expanded " << dir << " in ";
- dir = result.we_wordv[0];
+ dir = result.gl_pathv[0];
//cerr << dir << endl;
}
- wordfree(&result);
+ globfree(&result);
#if 0
if (dir[0] == '~') {

View File

@ -1,37 +0,0 @@
--- base/src/utility.cpp.orig 2004-02-10 18:20:22 UTC
+++ base/src/utility.cpp
@@ -33,6 +33,7 @@ ________________________________________
#include <time.h>
#include <ctype.h>
#include <stdio.h>
+#include <cstdlib>
#include <string>
#include <vector>
@@ -56,7 +57,7 @@ using namespace std;
#include "win32impl.h"
#include "browser.h"
#include <unistd.h>
-#include <wordexp.h>
+#include <glob.h>
#define MKDIR(z) mkdir(z, 0755)
#define _stat stat
#ifndef _S_IFDIR
@@ -825,13 +826,13 @@ SplitPath(const string& path)
if (subpath.size()) {
#ifndef WIN32
- wordexp_t result;
- if (wordexp(subpath.c_str(), &result, 0) ==0){
+ glob_t result;
+ if (glob(subpath.c_str(), 0, NULL, &result) ==0){
//cerr << "Expanded " << dir << " in ";
- subpath = result.we_wordv[0];
+ subpath = result.gl_pathv[0];
//cerr << dir << endl;
}
- wordfree(&result);
+ globfree(&result);
#endif
dirs.push_back(subpath);

View File

@ -1,13 +0,0 @@
--- base/unix/include/win32impl.h.orig 2003-09-16 17:34:54 UTC
+++ base/unix/include/win32impl.h
@@ -24,7 +24,10 @@ ________________________________________
#ifndef INCLUDED_WIN32IMPL_H_
#define INCLUDED_WIN32IMPL_H_
+#include <inttypes.h>
+#if HAVE_STDINT_H
#include <stdint.h>
+#endif
#include <limits.h>
#include "config.h"

View File

@ -1,10 +0,0 @@
--- base/unix/src/browser.cpp.orig 2003-09-16 20:34:54.000000000 +0300
+++ base/unix/src/browser.cpp
@@ -9,6 +9,7 @@
#include <unistd.h>
#include <sys/stat.h>
#include <string>
+#include <cstring>
using namespace std;
#include "browser.h"

View File

@ -1,10 +0,0 @@
--- base/unix/src/win32impl.cpp.orig 2003-09-16 20:34:55.000000000 +0300
+++ base/unix/src/win32impl.cpp
@@ -1,6 +1,7 @@
#include <dlfcn.h>
#include <dirent.h>
#include <string>
+#include <cstring>
#include <iostream>
#include <stdio.h>
#include <sys/stat.h>

View File

@ -1,269 +0,0 @@
--- configure.orig 2004-02-17 22:09:31 UTC
+++ configure
@@ -24258,6 +24258,7 @@ _ACEOF
;;
freebsd*)
ZINF_OS="freebsd";
+ UNIX_AUDIO_API="linux"
cat >>confdefs.h <<\_ACEOF
#define ZINF_OS_BSD 1
@@ -26886,231 +26887,6 @@ if test x$musicbrainz_prefix != x ; then
fi
-MUSICBRAINZ_LIBS="$MUSICBRAINZ_LIBS $ZLIB_LIBS"
-
-CPPFLAGS="$ac_orig_CPPFLAGS $MUSICBRAINZ_CFLAGS"
-LIBS="$ac_orig_LIBS $MUSICBRAINZ_LIBS"
-
-if test "${ac_cv_header_musicbrainz_mb_c_h+set}" = set; then
- echo "$as_me:$LINENO: checking for musicbrainz/mb_c.h" >&5
-echo $ECHO_N "checking for musicbrainz/mb_c.h... $ECHO_C" >&6
-if test "${ac_cv_header_musicbrainz_mb_c_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_musicbrainz_mb_c_h" >&5
-echo "${ECHO_T}$ac_cv_header_musicbrainz_mb_c_h" >&6
-else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking musicbrainz/mb_c.h usability" >&5
-echo $ECHO_N "checking musicbrainz/mb_c.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
-#include <musicbrainz/mb_c.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_header_compiler=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking musicbrainz/mb_c.h presence" >&5
-echo $ECHO_N "checking musicbrainz/mb_c.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <musicbrainz/mb_c.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_cxx_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: section \"Present But Cannot Be Compiled\"" >&2;}
- { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: in the future, the compiler will take precedence" >&2;}
- (
- cat <<\_ASBOX
-## ------------------------------------------ ##
-## Report this to the AC_PACKAGE_NAME lists. ##
-## ------------------------------------------ ##
-_ASBOX
- ) |
- sed "s/^/$as_me: WARNING: /" >&2
- ;;
-esac
-echo "$as_me:$LINENO: checking for musicbrainz/mb_c.h" >&5
-echo $ECHO_N "checking for musicbrainz/mb_c.h... $ECHO_C" >&6
-if test "${ac_cv_header_musicbrainz_mb_c_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header_musicbrainz_mb_c_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_musicbrainz_mb_c_h" >&5
-echo "${ECHO_T}$ac_cv_header_musicbrainz_mb_c_h" >&6
-
-fi
-if test $ac_cv_header_musicbrainz_mb_c_h = yes; then
- header_found=1
-else
- header_found=0
-fi
-
-
-if test "$header_found" = 1; then
- for lib in musicbrainz; do
- as_ac_Lib=`echo "ac_cv_lib_$lib''_mb_GetVersion" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for mb_GetVersion in -l$lib" >&5
-echo $ECHO_N "checking for mb_GetVersion in -l$lib... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Lib+set}\" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-l$lib $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char mb_GetVersion ();
-int
-main ()
-{
-mb_GetVersion ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- eval "$as_ac_Lib=yes"
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-eval "$as_ac_Lib=no"
-fi
-rm -f conftest.err conftest.$ac_objext \
- conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
-if test `eval echo '${'$as_ac_Lib'}'` = yes; then
- MUSICBRAINZ_LIBS="$MUSICBRAINZ_LIBS -l$lib"
-else
- MUSICBRAINZ_LIBS=""
-fi
-
- if test -n "$MUSICBRAINZ_LIBS"; then break; fi
- done
-else
- MUSICBRAINZ_LIBS=""
-fi
if test "$MUSICBRAINZ_LIBS" != ""; then
have_mb=yes
else
@@ -27120,26 +26896,6 @@ fi
LIBS="$ac_orig_LIBS"
CPPFLAGS="$ac_orig_CPPFLAGS"
-
-if test "$have_mb" = "yes"; then
- METADATA_PLUGINS="$METADATA_PLUGINS mbcd"
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_MB 1
-_ACEOF
-
-else
- { echo "$as_me:$LINENO: WARNING:
- *** Zinf requires the MusicBrainz client library version 2.0.1
- *** for cd title lookup.
- *** Please download the library from http://www.musicbrainz.org/download.html
- ***" >&5
-echo "$as_me: WARNING:
- *** Zinf requires the MusicBrainz client library version 2.0.1
- *** for cd title lookup.
- *** Please download the library from http://www.musicbrainz.org/download.html
- ***" >&2;}
-fi
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'

View File

@ -1,10 +0,0 @@
--- ftc/kjofol/kjofol.cpp.orig 2003-09-16 17:34:56 UTC
+++ ftc/kjofol/kjofol.cpp
@@ -47,6 +47,7 @@ using namespace std;
#include <sys/types.h>
#include <sys/stat.h>
+#include <stdlib.h>
#include "path_max.h"

View File

@ -1,11 +0,0 @@
--- io/cd/unix/src/cdpmo.cpp.orig 2003-09-16 17:34:59 UTC
+++ io/cd/unix/src/cdpmo.cpp
@@ -113,7 +113,7 @@ Error CDPMO::SetTo(const char *url)
if (IsError(Init(&blah)))
return kError_CDInitFailed;
- char *tracknumber = strrchr(url, '/');
+ const char *tracknumber = strrchr(url, '/');
if (!tracknumber)
tracknumber = (char *)url;

View File

@ -1,26 +0,0 @@
--- io/obs/obsinput.cpp.orig 2003-09-16 17:35:02 UTC
+++ io/obs/obsinput.cpp
@@ -42,6 +42,7 @@ ________________________________________
#include <arpa/inet.h>
#include <netdb.h>
#include <fcntl.h>
+#include <limits.h> // for PATH_MAX
#endif
@@ -198,6 +199,7 @@ Error ObsInput::Open(void)
m_pSin = (struct sockaddr_in *)malloc(sizeof(struct sockaddr_in));
assert(m_pSin);
+ (void) memset(m_pSin, 0, sizeof(*m_pSin));
iReuse = 1;
m_pSin->sin_family = AF_INET;
@@ -218,6 +220,7 @@ Error ObsInput::Open(void)
else
m_pSin->sin_addr.s_addr = htonl(INADDR_ANY);
+ (void) memset(&sMreq, 0, sizeof(sMreq));
sMreq.imr_multiaddr.s_addr = inet_addr(szAddr);
sMreq.imr_interface.s_addr = htonl(INADDR_ANY);
if (IN_MULTICAST(ntohl(sMreq.imr_multiaddr.s_addr)))

View File

@ -1,13 +0,0 @@
--- io/src/pullbuffer.cpp.orig 2003-09-16 17:35:05 UTC
+++ io/src/pullbuffer.cpp
@@ -26,7 +26,10 @@ ________________________________________
#include <stdlib.h>
#include <string.h>
#include <assert.h>
+#include <inttypes.h>
+#if HAVE_STDINT_H
#include <stdint.h>
+#endif
#ifndef WIN32
#include <unistd.h>
#endif

View File

@ -1,19 +0,0 @@
--- io/wavout/src/wavoutpmo.cpp.orig 2003-09-16 17:35:07 UTC
+++ io/wavout/src/wavoutpmo.cpp
@@ -28,7 +28,6 @@ ________________________________________
#endif
#include <stdio.h>
#include <stdlib.h>
-#include <malloc.h>
#include <string>
/* project headers */
@@ -124,7 +124,7 @@ Init(OutputInfo* info)
// it, appending an ! to the filename, and changing the extention
// to wav
std::string path;
- char *pPtr = strrchr(GetUrl().c_str(), DIR_MARKER);
+ const char *pPtr = strrchr(GetUrl().c_str(), DIR_MARKER);
if (pPtr){
path = pPtr+1;
pPtr = strrchr(path.c_str(), '.');

View File

@ -1,27 +0,0 @@
--- lib/http/src/Http.cpp.orig 2003-09-16 17:35:09 UTC
+++ lib/http/src/Http.cpp
@@ -31,6 +31,7 @@ ________________________________________
#include "config.h"
#include <stdio.h>
+#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#ifndef WIN32
@@ -39,6 +40,7 @@ ________________________________________
#include <fcntl.h>
#include <errno.h>
#include <ctype.h>
+#include <cstring>
#ifdef WIN32
#include <io.h>
@@ -768,7 +768,7 @@ int32_t Http::GetContentLengthFromHeader
{
int32_t result = -1;
- char* cp = strstr(buffer, "Content-Length:");
+ const char* cp = strstr(buffer, "Content-Length:");
if(cp)
{

View File

@ -1,10 +0,0 @@
--- lib/unzip/src/zip_wrapper.cpp.orig 2003-09-16 20:35:10.000000000 +0300
+++ lib/unzip/src/zip_wrapper.cpp
@@ -2,6 +2,7 @@
#include <iostream>
#include <stdlib.h>
#include <string>
+#include <cstring>
#include <vector>
using namespace std;

View File

@ -1,13 +0,0 @@
--- lib/xml/include/Parse.h.orig 2003-09-16 17:35:11 UTC
+++ lib/xml/include/Parse.h
@@ -31,7 +31,10 @@ ________________________________________
#pragma warning(disable:4786)
#endif
+#include <inttypes.h>
+#if HAVE_STDINT_H
#include <stdint.h>
+#endif
#include <string>
#include <map>

View File

@ -1,10 +0,0 @@
--- lib/xml/src/Parse.cpp.orig 2003-09-16 20:35:11.000000000 +0300
+++ lib/xml/src/Parse.cpp
@@ -29,6 +29,7 @@ ________________________________________
#endif
#include <stdio.h>
+#include <cstring>
#include <map>
#include <assert.h>
using namespace std;

View File

@ -1,29 +0,0 @@
--- plm/metadata/id3lib/id3lib.cpp.orig 2004-02-14 01:51:03 UTC
+++ plm/metadata/id3lib/id3lib.cpp
@@ -363,7 +363,7 @@ bool ID3lib::ReadMetaData(const char* ur
assert(url);
assert(metadata);
- char *ptr = strrchr(url, '.');
+ const char *ptr = strrchr(url, '.');
if (ptr == NULL)
return false;
@@ -421,7 +421,7 @@ bool ID3lib::WriteMetaData(const char* u
char dummy[20];
bool bWriteID3v1, bWriteID3v2;
luint whichTags;
- char *ptr;
+ const char *ptr;
ptr = strrchr(url, '.');
if (ptr == NULL)
@@ -485,7 +485,7 @@ void ID3lib::LookupGenre(int genreId, ch
bool ID3lib::readMetadata(const std::string&url, map_type& pairs)
{
- char *ptr = strrchr(url.c_str(), '.');
+ const char *ptr = strrchr(url.c_str(), '.');
if (ptr == NULL)
return false;

View File

@ -1,34 +0,0 @@
--- plm/metadata/misc/misc.cpp.orig 2003-09-16 17:35:19 UTC
+++ plm/metadata/misc/misc.cpp
@@ -104,26 +104,11 @@ bool Misc::ReadMetaData(const char* url,
if(!strncasecmp(url, "file://", 7) && !metadata->Time())
{
RegistryItem *lmcItem = NULL;
- char* cp;
-
- cp = strrchr(url, '.');
- if(cp)
- {
- cp++;
-
- char temp[256];
-
- strcpy(temp, cp);
-
- cp = temp;
-
- while(*cp)
- {
- *cp = toupper(*cp);
- cp++;
- }
-
- string ext = temp;
+ const string temp(url);
+ size_t pos = temp.rfind('.');
+ if (pos != string::npos) {
+ string ext = temp.substr(++pos);
+ transform(ext.begin(), ext.end(), ext.begin(), ::toupper);
ExtensionMap::const_iterator iter = m_extensions.find(ext);
if(iter != m_extensions.end())

View File

@ -1,40 +0,0 @@
--- plm/metadata/vorbis/vorbis.cpp.orig 2004-02-10 18:21:14 UTC
+++ plm/metadata/vorbis/vorbis.cpp
@@ -23,6 +23,7 @@ ________________________________________
#include <stdio.h>
#include <stdlib.h>
+#include <unistd.h>
#include <math.h>
#include <assert.h>
#include <string>
@@ -143,17 +143,18 @@ Vorbis::~Vorbis()
bool Vorbis::WriteMetaData(const char *url, const MetaData & metadata)
{
char dummy[20];
- char *ptr;
bool writetags;
// We will support only id3-like tags. For a more complete list see
// http://reactor-core.org/ogg-tag-standard.html
- ptr = strrchr(url, '.');
+ {
+ const char *ptr = strrchr(url, '.');
if (ptr == NULL)
return false;
if (strcasecmp(ptr, ".ogg"))
return false;
+ }
m_context->prefs->GetPrefBoolean(kWriteVorbisTagsPref, &writetags);
@@ -216,7 +217,7 @@ bool Vorbis::WriteMetaData(const char *u
strncpy(newpath,path.c_str(),path.length());
FILE *out = NULL;
- ptr = strrchr(newpath, '.');
+ char *ptr = strrchr(newpath, '.');
if (ptr)
{
strcpy(ptr, "XXXXXX");

View File

@ -1,15 +0,0 @@
--- ui/musicbrowser/unix/src/fileselector.cpp.orig 2003-09-16 20:35:29.000000000 +0300
+++ ui/musicbrowser/unix/src/fileselector.cpp
@@ -25,7 +25,12 @@ ________________________________________
#include <unistd.h>
#include <dirent.h>
#include <string>
+#include <cstring>
#include <vector>
+
+extern "C" {
+#include <strings.h>
+}
#ifdef __QNX__
#include <strings.h>
#endif

View File

@ -1,11 +0,0 @@
--- ui/musicbrowser/unix/src/gtkmusicbrowser.cpp.orig 2004-02-02 18:34:19 UTC
+++ ui/musicbrowser/unix/src/gtkmusicbrowser.cpp
@@ -1203,7 +1203,7 @@ void GTKMusicBrowser::SaveCurrentPlaylis
if (m_currentListName.length() == 0)
return;
- char *ext = strrchr(m_currentListName.c_str(), '.');
+ const char *ext = strrchr(m_currentListName.c_str(), '.');
if (ext)
ext = ext + 1;
Error result = kError_NoErr;

View File

@ -1,12 +0,0 @@
--- ui/zinf/include/DialControl.h.orig 2003-09-16 17:35:32 UTC
+++ ui/zinf/include/DialControl.h
@@ -24,7 +24,9 @@ ________________________________________
#ifndef INCLUDED_DIALCONTROL_H__
#define INCLUDED_DIALCONTROL_H__
+#if HAVE_STDINT_H
#include <stdint.h>
+#endif
#include "config.h"
#include <string>

View File

@ -1,13 +0,0 @@
--- ui/zinf/include/PixFontControl.h.orig 2003-09-16 17:35:32 UTC
+++ ui/zinf/include/PixFontControl.h
@@ -32,7 +32,10 @@ ________________________________________
#pragma warning(disable:4786)
#endif
+#include <inttypes.h>
+#if HAVE_STDINT_H
#include <stdint.h>
+#endif
#include <string>
#include <vector>

View File

@ -1,11 +0,0 @@
--- ui/zinf/src/Headlines.cpp.orig 2003-09-16 17:35:32 UTC
+++ ui/zinf/src/Headlines.cpp
@@ -215,7 +215,7 @@ Error Headlines::PCData(string &oData)
Error Headlines::EndElement(string &oElement)
{
- char *pPtr;
+ const char *pPtr;
int iOffset;
pPtr = strrchr(m_oPath.c_str(), '/');

View File

@ -1,33 +0,0 @@
--- ui/zinf/src/ThemeZip.cpp.orig 2003-09-16 17:36:22 UTC
+++ ui/zinf/src/ThemeZip.cpp
@@ -21,11 +21,12 @@
$Id: ThemeZip.cpp,v 1.8 2003/09/16 17:36:22 kgk Exp $
____________________________________________________________________________*/
-#include <stdint.h>
#include <time.h>
#include <stdio.h>
#include <ctype.h>
+#if HAVE_STDINT_H
#include <stdint.h>
+#endif
#ifdef WIN32
#include <windows.h>
@@ -44,6 +45,7 @@ ________________________________________
#include <strings.h>
#endif
#include <string>
+#include <cstring>
using namespace std;
#include "zlib.h"
@@ -143,7 +143,7 @@ Error ThemeZip::CompressThemeZip(const s
pBuffer = new char[iBufferSize];
for(i = oFileList.begin(); i != oFileList.end(); i++)
{
- char *pPtr;
+ const char *pPtr;
time_t ltime;
oFile = *(*i);

View File

@ -1,11 +0,0 @@
--- ui/zinf/src/ZinfTheme.cpp.orig 2003-09-16 17:36:22 UTC
+++ ui/zinf/src/ZinfTheme.cpp
@@ -1739,7 +1739,7 @@ void ZinfTheme::DropFiles(vector<string>
countbefore = m_pContext->plm->CountItems();
for(i = pFileList->begin(); i != pFileList->end(); i++){
- char *pExtension = NULL;
+ const char *pExtension = NULL;
vector<char*> fileList;
struct _stat st;

View File

@ -1,11 +0,0 @@
--- ui/zinf/tools/Makefile.in.orig 2004-02-17 22:45:23 UTC
+++ ui/zinf/tools/Makefile.in
@@ -227,7 +227,7 @@ noinst_PROGRAMS = maketheme
maketheme_SOURCES = MakeTheme.cpp $(top_srcdir)/ui/zinf/src/ThemeZip.cpp
maketheme_LDADD = $(top_builddir)/lib/unzip/libunzip.la \
- $(top_builddir)/base/unix/libunix.la $(ZLIB_LIBS) -ldl
+ $(top_builddir)/base/unix/libunix.la $(ZLIB_LIBS)
AM_CPPFLAGS = $(THREAD_CFLAGS) $(base_includes) \

View File

@ -1,14 +0,0 @@
--- ui/zinf/unix/src/GTKFileSelector.cpp.orig 2003-09-16 17:36:23 UTC
+++ ui/zinf/unix/src/GTKFileSelector.cpp
@@ -24,8 +24,10 @@ ________________________________________
#include <unistd.h>
#include <dirent.h>
+#include <cstring>
-#if defined(solaris)
+#if defined(solaris) || defined(__FreeBSD__)
+#include <stdlib.h>
#include <sys/types.h>
#include <sys/param.h> /* for MAXPATHLEN */
#include <sys/stat.h>

View File

@ -1,11 +0,0 @@
--- ui/zinf/unix/src/GTKPreferenceWindow.cpp.orig 2003-11-20 23:58:47 UTC
+++ ui/zinf/unix/src/GTKPreferenceWindow.cpp
@@ -1752,7 +1752,7 @@ void GTKPreferenceWindow::UpdateThemeLis
originalValues.listboxIndex = proposedValues.listboxIndex
= currentValues.listboxIndex = iLoop;
else {
- char *name = strrchr((*i).second.c_str(), '/');
+ const char *name = strrchr((*i).second.c_str(), '/');
if (name) {
name++;
if (name && *name) {

View File

@ -1,10 +0,0 @@
--- ui/zinf/unix/src/GTKUtility.cpp.orig 2003-09-16 20:36:23.000000000 +0300
+++ ui/zinf/unix/src/GTKUtility.cpp
@@ -25,6 +25,7 @@ ________________________________________
#include <stdio.h>
#include <string>
+#include <cstdlib>
#include "thread.h"
#include "GTKUtility.h"
#include "facontext.h"

View File

@ -1,13 +0,0 @@
--- ui/zinf/unix/src/ThemeManager.cpp.orig 2003-09-16 20:36:23.000000000 +0300
+++ ui/zinf/unix/src/ThemeManager.cpp
@@ -28,6 +28,10 @@ ________________________________________
#include <unistd.h>
#include <netinet/in.h>
#include <string>
+#include <cstring>
+extern "C" {
+#include <strings.h>
+}
#ifndef WIN32
#include <unistd.h>

View File

@ -1,10 +0,0 @@
media:audio
tool:zinf
proto:RTP/AVP
protoname:RTP
fmt:14
{
fmtname:MPEG
}
flags:rtp://$(ADDRESS):$(PORT)

View File

@ -1,9 +0,0 @@
The Zinf audio player is a simple, but powerful audio player for Linux and
Win32. It supports MP3, Ogg/Vorbis, WAV and Audio CD playback, with a powerful
music browser, theme support and a download manager.
It is based on the FreeA*p audio player which was developed by EMusic. The
FreeA*p project was discontinued due to a trademark conflict and EMusic being
acquired by Vivendi.
WWW: http://www.zinf.org/

View File

@ -1,33 +0,0 @@
bin/zinf
etc/sdr/plugins/sdr2.plugin.S100.audio.rtp.mpa.zinf
lib/zinf/plugins/albumart.ui
lib/zinf/plugins/cd.lmc
lib/zinf/plugins/cd.pmo
lib/zinf/plugins/cmdline.ui
lib/zinf/plugins/download.ui
lib/zinf/plugins/http.pmi
lib/zinf/plugins/id3lib.mdf
lib/zinf/plugins/irman.ui
lib/zinf/plugins/kjofol.ftf
lib/zinf/plugins/lcd.ui
lib/zinf/plugins/local.pmi
lib/zinf/plugins/m3u.plf
lib/zinf/plugins/misc.mdf
lib/zinf/plugins/mpg123.ui
lib/zinf/plugins/musicbrowser.ui
lib/zinf/plugins/ncurses.ui
lib/zinf/plugins/obs.pmi
lib/zinf/plugins/pls.plf
lib/zinf/plugins/soundcard.pmo
%%VORBIS%%lib/zinf/plugins/vorbis.lmc
%%VORBIS%%lib/zinf/plugins/vorbis.mdf
lib/zinf/plugins/wav.lmc
lib/zinf/plugins/wavout.pmo
lib/zinf/plugins/winamp.ftf
lib/zinf/plugins/xingmp3.lmc
lib/zinf/plugins/zinf.ui
share/locale/ca_ES/LC_MESSAGES/zinf.mo
share/locale/ru/LC_MESSAGES/zinf.mo
%%DATADIR%%/themes/Aquatica.fat
%%DATADIR%%/themes/Zinf.fat
%%DATADIR%%/themes/ZinfClassic.fat

View File

@ -112,7 +112,6 @@
SUBDIR += qemu-cheri
SUBDIR += qemu-devel
SUBDIR += qemu-powernv
SUBDIR += qemu-sbruno
SUBDIR += qemu-user-static
SUBDIR += qemu-user-static-devel
SUBDIR += qemu-utils

View File

@ -1,297 +0,0 @@
# Created by: Juergen Lock <nox@jelal.kn-bremen.de>
# $FreeBSD$
PORTNAME= qemu
PORTVERSION= 2.11.50.g20191211
PORTREVISION= 4
CATEGORIES= emulators
PKGNAMESUFFIX?= -sbruno
DIST_SUBDIR= qemu/${PORTVERSION}
MAINTAINER= emulation@FreeBSD.org
COMMENT?= QEMU CPU Emulator - github bsd-user branch
LICENSE= GPLv2
USE_GITHUB= yes
GH_TUPLE= seanbruno:qemu-bsd-user:d587db6 \
qemu:keycodemapdb:10739aa:keycodemapdb/ui/keycodemapdb
HAS_CONFIGURE= yes
USES= bison compiler:c11 gmake perl5 pkgconfig python:2.7,build
USE_PERL5= build
MAKE_ENV+= BSD_MAKE="${MAKE}" V=1
DEPRECATED= Port will be removed in favor of emulators/qemu
EXPIRATION_DATE= 2020-10-01
ONLY_FOR_ARCHS= amd64 powerpc powerpc64 # XXX someone wants to debug sparc64 hosts?
BROKEN_i386= aarch64 system target is currently broken for i386 hosts, disable for now while dealing with upstream
OPTIONS_DEFINE= SAMBA X11 GTK2 OPENGL GNUTLS SASL JPEG PNG CURL \
CDROM_DMA PCAP USBREDIR X86_TARGETS BSD_USER \
STATIC_LINK DOCS
SAMBA_DESC= samba dependency (for -smb)
GNUTLS_DESC= gnutls dependency (vnc encryption)
SASL_DESC= cyrus-sasl dependency (vnc encryption)
JPEG_DESC= jpeg dependency (vnc lossy compression)
PNG_DESC= png dependency (vnc compression)
CDROM_DMA_DESC= IDE CDROM DMA
PCAP_DESC= pcap dependency (networking with bpf)
USBREDIR_DESC= usb device network redirection (experimental!)
X86_TARGETS_DESC= Don't build non-x86 system targets
BSD_USER_DESC= Also build bsd-user targets (for testing)
STATIC_LINK_DESC= Statically link the executables
OPTIONS_DEFAULT=X11 GTK2 OPENGL GNUTLS SASL JPEG PNG CDROM_DMA CURL PCAP
.if !defined(QEMU_USER_STATIC)
CONFLICTS_INSTALL= qemu-[0-9]* qemu-devel-*
.else
CONFLICTS_INSTALL= qemu-user-static-devel-*
.endif
.if defined(QEMU_USER_STATIC)
.if exists(/usr/sbin/binmiscctl)
USE_RC_SUBR= qemu_user_static
SUB_LIST= NAME=qemu_user_static
CONFIGURE_ARGS+= --disable-tools
.endif
.else
# qemu-system-* targets require pixman to build, add an explicit dependency.
USES+= xorg
USE_XORG= pixman
.endif
# When static linking we have a build dependency on libglib-2.0.a, otherwise
# we use glib20 in the usual way (shared-lib runtime dependency).
.if defined(QEMU_USER_STATIC)
BUILD_DEPENDS+= ${LOCALBASE}/lib/libglib-2.0.a:devel/glib20
.else
USES+= gnome
USE_GNOME+= glib20
BUILD_DEPENDS+= ${LOCALBASE}/lib/libfdt.so:sysutils/dtc
.endif
.include <bsd.port.options.mk>
CONFIGURE_ARGS+= --localstatedir=/var
CONFIGURE_ARGS+= --extra-ldflags=-L${LOCALBASE}/lib
CONFIGURE_ARGS+= --extra-cflags=-I${LOCALBASE}/include
CONFIGURE_ARGS+= --disable-libssh2
PORTDOCS= docs qemu-doc.html
.if defined(QEMU_USER_STATIC)
.if ${ARCH} != "amd64" && ${ARCH} != "powerpc64"
CONFIGURE_ARGS+= --target-list=i386-bsd-user,sparc-bsd-user,arm-bsd-user,mips-bsd-user,mipsel-bsd-user,ppc-bsd-user
.else
CONFIGURE_ARGS+= --target-list=i386-bsd-user,x86_64-bsd-user,sparc-bsd-user,sparc64-bsd-user,arm-bsd-user,mips-bsd-user,mipsel-bsd-user,mips64-bsd-user,mips64el-bsd-user,ppc-bsd-user,ppc64-bsd-user,aarch64-bsd-user
.endif
.else
.if ${PORT_OPTIONS:MX86_TARGETS}
.if ${PORT_OPTIONS:MBSD_USER}
.if ${ARCH} != "amd64"
CONFIGURE_ARGS+= --target-list=i386-softmmu,x86_64-softmmu,i386-bsd-user,sparc-bsd-user,arm-bsd-user,mips-bsd-user,mipsel-bsd-user,ppc-bsd-user
.else
CONFIGURE_ARGS+= --target-list=i386-softmmu,x86_64-softmmu,i386-bsd-user,x86_64-bsd-user,sparc-bsd-user,sparc64-bsd-user,arm-bsd-user,mips-bsd-user,mipsel-bsd-user,mips64-bsd-user,mips64el-bsd-user,ppc-bsd-user,ppc64-bsd-user,aarch64-bsd-user
.endif
.else
CONFIGURE_ARGS+= --target-list=i386-softmmu,x86_64-softmmu
.endif
.else
.if empty(PORT_OPTIONS:MBSD_USER)
CONFIGURE_ARGS+= --disable-bsd-user
.else
.if ${ARCH} != "amd64"
CONFIGURE_ARGS+= --target-list=i386-softmmu,x86_64-softmmu,aarch64-softmmu,alpha-softmmu,arm-softmmu,cris-softmmu,lm32-softmmu,m68k-softmmu,microblaze-softmmu,microblazeel-softmmu,mips-softmmu,mipsel-softmmu,mips64-softmmu,mips64el-softmmu,or32-softmmu,ppc-softmmu,ppcemb-softmmu,ppc64-softmmu,sh4-softmmu,sh4eb-softmmu,sparc-softmmu,sparc64-softmmu,s390x-softmmu,xtensa-softmmu,xtensaeb-softmmu,unicore32-softmmu,moxie-softmmu,i386-bsd-user,sparc-bsd-user,arm-bsd-user,mips-bsd-user,mipsel-bsd-user,ppc-bsd-user
.endif
.endif
.endif
.endif
.if empty(PORT_OPTIONS:MBSD_USER)
PLIST_SUB+= BSD_USER="@comment "
.else
PLIST_SUB+= BSD_USER=""
.if ${ARCH} == "sparc64"
IGNORE= bsd-user targets not tested on sparc64
.endif
.endif
.if empty(PORT_OPTIONS:MBSD_USER) || (${ARCH} != "amd64" && ${ARCH} != "powerpc64")
PLIST_SUB+= BSD_USER64="@comment "
.else
PLIST_SUB+= BSD_USER64=""
.endif
.if ${PORT_OPTIONS:MX86_TARGETS}
PLIST_SUB+= NONX86="@comment "
.else
PLIST_SUB+= NONX86=""
.endif
.if defined(QEMU_USER_STATIC)
PLIST_SUB+= SOFTMMU="@comment "
PLIST_SUB+= STATIC="-static"
.else
PLIST_SUB+= SOFTMMU=""
PLIST_SUB+= STATIC=""
.endif
WITHOUT_CPU_CFLAGS=yes #to avoid problems with register allocation
CFLAGS:= ${CFLAGS:C/-fno-tree-vrp//}
CFLAGS+= -Wno-address-of-packed-member
CFLAGS+= -D_WANT_SEMUN
CONFIGURE_ARGS+= --prefix=${PREFIX} --cc=${CC} --enable-docs \
--disable-linux-user --disable-linux-aio \
--disable-kvm --disable-xen \
--smbd=${LOCALBASE}/sbin/smbd \
--enable-debug \
--enable-debug-info \
--extra-cflags=-I${WRKSRC}\ -I${LOCALBASE}/include\ -DPREFIX=\\\"\"${PREFIX}\\\"\"
.if empty(PORT_OPTIONS:MX11)
CONFIGURE_ARGS+= --disable-sdl
.else
CONFIGURE_ARGS+= --enable-sdl
USES+= sdl
USE_SDL= sdl
.endif
.if empty(PORT_OPTIONS:MGTK2)
CONFIGURE_ARGS+= --disable-gtk --disable-vte
PLIST_SUB+= GTK2="@comment "
.else
USE_GNOME+= gtk20 vte
USES+= gettext gnome
PLIST_SUB+= GTK2=""
.endif
.if ${PORT_OPTIONS:MGNUTLS}
LIB_DEPENDS+= libgnutls.so:security/gnutls
CONFIGURE_ARGS+= --enable-gnutls
.else
CONFIGURE_ARGS+= --disable-gnutls
.endif
.if empty(PORT_OPTIONS:MSASL)
CONFIGURE_ARGS+= --disable-vnc-sasl
.else
LIB_DEPENDS+= libsasl2.so:security/cyrus-sasl2
.endif
.if empty(PORT_OPTIONS:MJPEG)
CONFIGURE_ARGS+= --disable-vnc-jpeg
.else
USES+= jpeg
.endif
.if empty(PORT_OPTIONS:MPNG)
CONFIGURE_ARGS+= --disable-vnc-png
.else
LIB_DEPENDS+= libpng.so:graphics/png
.endif
.if empty(PORT_OPTIONS:MCURL)
CONFIGURE_ARGS+= --disable-curl
.else
LIB_DEPENDS+= libcurl.so:ftp/curl
.endif
.if empty(PORT_OPTIONS:MOPENGL)
CONFIGURE_ARGS+= --disable-opengl
.else
USES+= gl
USE_GL= glu
.endif
.if empty(PORT_OPTIONS:MUSBREDIR)
CONFIGURE_ARGS+= --disable-usb-redir
.else
BUILD_DEPENDS+= usbredir>=0.6:net/usbredir
RUN_DEPENDS+= usbredir>=0.6:net/usbredir
.endif
.if ${PORT_OPTIONS:MPCAP}
CONFIGURE_ARGS+= --enable-pcap
.else
CONFIGURE_ARGS+= --disable-pcap
.endif
.if ${PORT_OPTIONS:MSTATIC_LINK}
.if ${PORT_OPTIONS:MGTK2} || ${PORT_OPTIONS:MX11}
IGNORE= the X11 ui cannot be built static
.endif
CONFIGURE_ARGS+= --static
.endif
.if ${PORT_OPTIONS:MSAMBA}
USES+= samba:run # smbd
.endif
.if ${PORT_OPTIONS:MDOCS}
BUILD_DEPENDS+= texi2html:textproc/texi2html
USES+= makeinfo
.else
MAKE_ARGS+= NOPORTDOCS=1
.endif
.if !defined(STRIP) || ${STRIP} == ""
CONFIGURE_ARGS+=--disable-strip
.endif
.if ${ARCH} == "amd64"
MAKE_ARGS+= ARCH=x86_64
.endif
.if ${ARCH} == "powerpc"
MAKE_ARGS+= ARCH=ppc
.endif
.if ${ARCH} == "powerpc64"
MAKE_ARGS+= ARCH=ppc64
.endif
.if ${ARCH} == "sparc64"
CONFIGURE_ARGS+= --sparc_cpu=v9
.endif
CONFIGURE_ARGS+= --python=${PYTHON_CMD}
PLIST_SUB+= LINUXBOOT_DMA=""
post-patch:
@${REINPLACE_CMD} -e '/libs_qga=/s|glib_libs|glib_libs -lintl|' ${WRKSRC}/configure
.if empty(PORT_OPTIONS:MCDROM_DMA)
@cd ${WRKSRC} && ${PATCH} --quiet < ${FILESDIR}/cdrom-dma-patch
.endif
@${REINPLACE_CMD} -E \
-e "/^by Tibor .TS. S/s|Sch.*z.$$|Schuetz.|" \
${WRKSRC}/qemu-doc.texi
@${REINPLACE_CMD} -E \
-e "s|^(CFLAGS=).*|\1${CFLAGS} -fno-strict-aliasing|" \
-e "s|^(LDFLAGS=).*|\1${LDFLAGS}|" \
${WRKSRC}/Makefile.target
@${REINPLACE_CMD} -E \
-e "s|^(CFLAGS=).*|\1${CFLAGS} -fno-strict-aliasing -I.|" \
-e "s|^(LDFLAGS=).*|\1${LDFLAGS}|" \
${WRKSRC}/Makefile
@${REINPLACE_CMD} -E \
-e "1s|^(#! )/usr/bin/perl|\1${PERL}|" \
${WRKSRC}/scripts/texi2pod.pl
# XXX need to disable usb host code on head while it's not ported to the
# new usb stack yet
post-configure:
@${REINPLACE_CMD} -E \
-e "s|^(HOST_USB=)bsd|\1stub|" \
${WRKSRC}/config-host.mak
.if !target(post-install)
post-install:
.if ${PORT_OPTIONS:MDOCS}
@(cd ${WRKSRC} && ${COPYTREE_SHARE} docs ${STAGEDIR}${DOCSDIR}/)
.endif
${INSTALL_SCRIPT} ${FILESDIR}/qemu-ifup.sample ${STAGEDIR}${PREFIX}/etc
${INSTALL_SCRIPT} ${FILESDIR}/qemu-ifdown.sample ${STAGEDIR}${PREFIX}/etc
@${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/qemu-*
.endif
.include <bsd.port.mk>

View File

@ -1,5 +0,0 @@
TIMESTAMP = 1576119749
SHA256 (qemu/2.11.50.g20191211/seanbruno-qemu-bsd-user-2.11.50.g20191211-d587db6_GH0.tar.gz) = f7810f4b8754b2e051ac498fd784b5a55e1b3496cdb9df9371c785355d017739
SIZE (qemu/2.11.50.g20191211/seanbruno-qemu-bsd-user-2.11.50.g20191211-d587db6_GH0.tar.gz) = 15512736
SHA256 (qemu/2.11.50.g20191211/qemu-keycodemapdb-10739aa_GH0.tar.gz) = ae43fb1e2b07b78be88a7882306b6e71383eb77472a35d7d78fed21e345d134a
SIZE (qemu/2.11.50.g20191211/qemu-keycodemapdb-10739aa_GH0.tar.gz) = 47895

View File

@ -1,11 +0,0 @@
--- include/hw/ide/internal.h.orig 2017-11-19 18:54:05.000000000 -0700
+++ include/hw/ide/internal.h 2017-11-20 08:35:44.521365000 -0700
@@ -15,7 +15,7 @@
#include "qapi/error.h"
/* debug IDE devices */
-#define USE_DMA_CDROM
+// #define USE_DMA_CDROM
typedef struct IDEBus IDEBus;
typedef struct IDEDevice IDEDevice;

View File

@ -1,51 +0,0 @@
--- Makefile.orig 2018-02-08 19:22:54 UTC
+++ Makefile
@@ -281,9 +281,13 @@ LIBS+=-lz $(LIBS_TOOLS)
HELPERS-$(CONFIG_LINUX) = qemu-bridge-helper$(EXESUF)
ifdef BUILD_DOCS
+ifdef NOPORTDOCS
+DOCS=qemu.1 qemu-img.1 qemu-nbd.8 qemu-ga.8
+else
DOCS=qemu-doc.html qemu-doc.txt qemu.1 qemu-img.1 qemu-nbd.8 qemu-ga.8
DOCS+=docs/interop/qemu-qmp-ref.html docs/interop/qemu-qmp-ref.txt docs/interop/qemu-qmp-ref.7
DOCS+=docs/interop/qemu-ga-ref.html docs/interop/qemu-ga-ref.txt docs/interop/qemu-ga-ref.7
+endif
DOCS+=docs/qemu-block-drivers.7
ifdef CONFIG_VIRTFS
DOCS+=fsdev/virtfs-proxy-helper.1
@@ -669,16 +673,20 @@ endif
install-doc: $(DOCS)
$(INSTALL_DIR) "$(DESTDIR)$(qemu_docdir)"
+ifndef NOPORTDOCS
$(INSTALL_DATA) qemu-doc.html "$(DESTDIR)$(qemu_docdir)"
$(INSTALL_DATA) qemu-doc.txt "$(DESTDIR)$(qemu_docdir)"
$(INSTALL_DATA) docs/interop/qemu-qmp-ref.html "$(DESTDIR)$(qemu_docdir)"
$(INSTALL_DATA) docs/interop/qemu-qmp-ref.txt "$(DESTDIR)$(qemu_docdir)"
+endif
ifdef CONFIG_POSIX
$(INSTALL_DIR) "$(DESTDIR)$(mandir)/man1"
$(INSTALL_DATA) qemu.1 "$(DESTDIR)$(mandir)/man1"
$(INSTALL_DIR) "$(DESTDIR)$(mandir)/man7"
+ifndef NOPORTDOCS
$(INSTALL_DATA) docs/interop/qemu-qmp-ref.7 "$(DESTDIR)$(mandir)/man7"
$(INSTALL_DATA) docs/qemu-block-drivers.7 "$(DESTDIR)$(mandir)/man7"
+endif
ifneq ($(TOOLS),)
$(INSTALL_DATA) qemu-img.1 "$(DESTDIR)$(mandir)/man1"
$(INSTALL_DIR) "$(DESTDIR)$(mandir)/man8"
@@ -686,11 +694,13 @@ ifneq ($(TOOLS),)
endif
ifneq (,$(findstring qemu-ga,$(TOOLS)))
$(INSTALL_DATA) qemu-ga.8 "$(DESTDIR)$(mandir)/man8"
+ifndef NOPORTDOCS
$(INSTALL_DATA) docs/interop/qemu-ga-ref.html "$(DESTDIR)$(qemu_docdir)"
$(INSTALL_DATA) docs/interop/qemu-ga-ref.txt "$(DESTDIR)$(qemu_docdir)"
$(INSTALL_DATA) docs/interop/qemu-ga-ref.7 "$(DESTDIR)$(mandir)/man7"
endif
endif
+endif
ifdef CONFIG_VIRTFS
$(INSTALL_DIR) "$(DESTDIR)$(mandir)/man1"
$(INSTALL_DATA) fsdev/virtfs-proxy-helper.1 "$(DESTDIR)$(mandir)/man1"

View File

@ -1,74 +0,0 @@
--- configure.orig 2019-12-12 02:59:10 UTC
+++ configure
@@ -3261,10 +3261,10 @@ fi
# curses probe
if test "$curses" != "no" ; then
if test "$mingw32" = "yes" ; then
- curses_inc_list="$($pkg_config --cflags ncurses 2>/dev/null):"
+ curses_inc_list="$($pkg_config --cflags-only-I ncurses 2>/dev/null):"
curses_lib_list="$($pkg_config --libs ncurses 2>/dev/null):-lpdcurses"
else
- curses_inc_list="$($pkg_config --cflags ncursesw 2>/dev/null):-I/usr/include/ncursesw:"
+ curses_inc_list="$($pkg_config --cflags-only-I ncursesw 2>/dev/null):-I/usr/include/ncursesw:"
curses_lib_list="$($pkg_config --libs ncursesw 2>/dev/null):-lncursesw:-lcursesw"
fi
curses_found=no
@@ -3381,7 +3381,7 @@ for i in $glib_modules; do
glib_libs=$($pkg_config --libs $i)
QEMU_CFLAGS="$glib_cflags $QEMU_CFLAGS"
LIBS="$glib_libs $LIBS"
- libs_qga="$glib_libs $libs_qga"
+ libs_qga="$glib_libs -lintl $libs_qga"
else
error_exit "glib-$glib_req_ver $i is required to compile QEMU"
fi
@@ -5517,27 +5517,30 @@ if ( [ "$linux_user" = yes ] || [ "$bsd_user" = yes ]
cat > $TMPC <<EOF
int main(void) { return 0; }
EOF
- textseg_ldflags="-Wl,-Ttext-segment=$textseg_addr"
+ textseg_ldflags="-Wl,--image-base=$textseg_addr"
if ! compile_prog "" "$textseg_ldflags"; then
- # In case ld does not support -Ttext-segment, edit the default linker
- # script via sed to set the .text start addr. This is needed on FreeBSD
- # at least.
- if ! $ld --verbose >/dev/null 2>&1; then
- error_exit \
- "We need to link the QEMU user mode binaries at a" \
- "specific text address. Unfortunately your linker" \
- "doesn't support either the -Ttext-segment option or" \
- "printing the default linker script with --verbose." \
- "If you don't want the user mode binaries, pass the" \
- "--disable-user option to configure."
- fi
+ textseg_ldflags="-Wl,-Ttext-segment=$textseg_addr"
+ if ! compile_prog "" "$textseg_ldflags"; then
+ # In case ld does not support -Ttext-segment, edit the default linker
+ # script via sed to set the .text start addr. This is needed on FreeBSD
+ # at least.
+ if ! $ld --verbose >/dev/null 2>&1; then
+ error_exit \
+ "We need to link the QEMU user mode binaries at a" \
+ "specific text address. Unfortunately your linker" \
+ "doesn't support either the -Ttext-segment option or" \
+ "printing the default linker script with --verbose." \
+ "If you don't want the user mode binaries, pass the" \
+ "--disable-user option to configure."
+ fi
- $ld --verbose | sed \
- -e '1,/==================================================/d' \
- -e '/==================================================/,$d' \
- -e "s/[.] = [0-9a-fx]* [+] SIZEOF_HEADERS/. = $textseg_addr + SIZEOF_HEADERS/" \
- -e "s/__executable_start = [0-9a-fx]*/__executable_start = $textseg_addr/" > config-host.ld
- textseg_ldflags="-Wl,-T../config-host.ld"
+ $ld --verbose | sed \
+ -e '1,/==================================================/d' \
+ -e '/==================================================/,$d' \
+ -e "s/[.] = [0-9a-fx]* [+] SIZEOF_HEADERS/. = $textseg_addr + SIZEOF_HEADERS/" \
+ -e "s/__executable_start = [0-9a-fx]*/__executable_start = $textseg_addr/" > config-host.ld
+ textseg_ldflags="-Wl,-T../config-host.ld"
+ fi
fi
fi
fi

View File

@ -1,13 +0,0 @@
--- include/net/net.h.orig 2018-02-08 19:22:54 UTC
+++ include/net/net.h
@@ -220,8 +220,8 @@ void qmp_netdev_add(QDict *qdict, QObjec
int net_hub_id_for_client(NetClientState *nc, int *id);
NetClientState *net_hub_port_find(int hub_id);
-#define DEFAULT_NETWORK_SCRIPT "/etc/qemu-ifup"
-#define DEFAULT_NETWORK_DOWN_SCRIPT "/etc/qemu-ifdown"
+#define DEFAULT_NETWORK_SCRIPT PREFIX "/etc/qemu-ifup"
+#define DEFAULT_NETWORK_DOWN_SCRIPT PREFIX "/etc/qemu-ifdown"
#define DEFAULT_BRIDGE_HELPER CONFIG_QEMU_HELPERDIR "/qemu-bridge-helper"
#define DEFAULT_BRIDGE_INTERFACE "br0"

View File

@ -1,12 +0,0 @@
--- qemu-doc.texi.orig 2018-02-08 19:22:54 UTC
+++ qemu-doc.texi
@@ -556,7 +556,8 @@ Send the escape character to the fronten
@c man begin SEEALSO
The HTML documentation of QEMU for more precise information and Linux
-user mode emulator invocation.
+user mode emulator invocation, as well as the FreeBSD host notes in
+@file{pkg-message} in the relevant qemu port directory.
@c man end
@c man begin AUTHOR

View File

@ -1,2 +0,0 @@
#!/bin/sh
exec true

View File

@ -1,2 +0,0 @@
#!/bin/sh
exec true

View File

@ -1,164 +0,0 @@
#!/bin/sh
#
# $FreeBSD$
#
# PROVIDE: %%NAME%%
# REQUIRE: LOGIN
# KEYWORD: shutdown
# Add the following lines to /etc/rc.conf to enable `%%NAME%%':
#
# %%NAME%%_enable="YES"
#
. /etc/rc.subr
name=%%NAME%%
rcvar=%%NAME%%_enable
# read configuration and set defaults
load_rc_config "$name"
: ${%%NAME%%_enable:="NO"}
BINMISCCTL=/usr/sbin/binmiscctl
QEMU_DIR=%%PREFIX%%/bin
QEMU_PREFIX=qemu-
QEMU_SUFFIX=-static
start_cmd=%%NAME%%_start
stop_cmd=%%NAME%%_stop
extra_commands=list
list_cmd="${BINMISCCTL} list"
%%NAME%%_start()
{
# register arm interpreter styled 'arm'
interpreter=${QEMU_DIR}/${QEMU_PREFIX}arm${QEMU_SUFFIX}
if [ -x "${interpreter}" ]; then
${BINMISCCTL} add arm --interpreter "${interpreter}" \
--magic "\x7f\x45\x4c\x46\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x28\x00" \
--mask "\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff\xff" \
--size 20 --set-enabled
else
echo "$0: interpreter ${interpreter} not found, cannot register."
fi
# register armv6 interpreter styled 'arm'
interpreter=${QEMU_DIR}/${QEMU_PREFIX}arm${QEMU_SUFFIX}
if [ -x "${interpreter}" ]; then
${BINMISCCTL} add armv6 --interpreter "${interpreter}" \
--magic "\x7f\x45\x4c\x46\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x28\x00" \
--mask "\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff\xff" \
--size 20 --set-enabled
else
echo "$0: interpreter ${interpreter} not found, cannot register."
fi
# register armv7 interpreter styled 'arm'
interpreter=${QEMU_DIR}/${QEMU_PREFIX}arm${QEMU_SUFFIX}
if [ -x "${interpreter}" ]; then
${BINMISCCTL} add armv7 --interpreter "${interpreter}" \
--magic "\x7f\x45\x4c\x46\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x28\x00" \
--mask "\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff\xff" \
--size 20 --set-enabled
else
echo "$0: interpreter ${interpreter} not found, cannot register."
fi
# register aarch64 interpreter styled 'aarch64'
interpreter=${QEMU_DIR}/${QEMU_PREFIX}aarch64${QEMU_SUFFIX}
if [ -x "${interpreter}" ]; then
${BINMISCCTL} add aarch64 --interpreter "${interpreter}" \
--magic "\x7f\x45\x4c\x46\x02\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\xb7\x00" \
--mask "\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff\xff" \
--size 20 --set-enabled
else
echo "$0: interpreter ${interpreter} not found, cannot register."
fi
# register mips interpreter styled 'mips'
interpreter=${QEMU_DIR}/${QEMU_PREFIX}mips${QEMU_SUFFIX}
if [ -x "${interpreter}" ]; then
${BINMISCCTL} add mips --interpreter "${interpreter}" \
--magic "\x7f\x45\x4c\x46\x01\x02\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x08" \
--mask "\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff" \
--size 20 --set-enabled
else
echo "$0: interpreter ${interpreter} not found, cannot register."
fi
# register mipsle interpreter styled 'mipsel'
interpreter=${QEMU_DIR}/${QEMU_PREFIX}mipsel${QEMU_SUFFIX}
if [ -x "${interpreter}" ]; then
${BINMISCCTL} add mipsel --interpreter "${interpreter}" \
--magic "\x7f\x45\x4c\x46\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x08\x00" \
--mask "\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff" \
--size 20 --set-enabled
else
echo "$0: interpreter ${interpreter} not found, cannot register."
fi
# register mips64 interpreter styled 'mips64'
interpreter=${QEMU_DIR}/${QEMU_PREFIX}mips64${QEMU_SUFFIX}
if [ -x "${interpreter}" ]; then
${BINMISCCTL} add mips64 --interpreter "${interpreter}" \
--magic "\x7f\x45\x4c\x46\x02\x02\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x08" \
--mask "\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff" \
--size 20 --set-enabled
else
echo "$0: interpreter ${interpreter} not found, cannot register."
fi
# register powerpc interpreter styled 'ppc'
interpreter=${QEMU_DIR}/${QEMU_PREFIX}ppc${QEMU_SUFFIX}
if [ -x "${interpreter}" ]; then
${BINMISCCTL} add powerpc --interpreter "${interpreter}" \
--magic "\x7f\x45\x4c\x46\x01\x02\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x14" \
--mask "\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff" \
--size 20 --set-enabled
else
echo "$0: interpreter ${interpreter} not found, cannot register."
fi
# register powerpc64 interpreter styled 'ppc64'
interpreter=${QEMU_DIR}/${QEMU_PREFIX}ppc64${QEMU_SUFFIX}
if [ -x "${interpreter}" ]; then
${BINMISCCTL} add powerpc64 --interpreter "${interpreter}" \
--magic "\x7f\x45\x4c\x46\x02\x02\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x15" \
--mask "\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff" \
--size 20 --set-enabled
else
echo "$0: interpreter ${interpreter} not found, cannot register."
fi
# register riscv64 interpreter styled 'riscv64'
interpreter=${QEMU_DIR}/${QEMU_PREFIX}riscv64${QEMU_SUFFIX}
if [ -x "${interpreter}" ]; then
${BINMISCCTL} add riscv64 --interpreter "${interpreter}" \
--magic "\x7f\x45\x4c\x46\x02\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\xf3\x00" \
--mask "\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff\xff" \
--size 20 --set-enabled
else
echo "$0: interpreter ${interpreter} not found, cannot register."
fi
# register sparc64 interpreter styled 'sparc64'
interpreter=${QEMU_DIR}/${QEMU_PREFIX}sparc64${QEMU_SUFFIX}
if [ -x "${interpreter}" ]; then
${BINMISCCTL} add sparc64 --interpreter "${interpreter}" \
--magic "\x7f\x45\x4c\x46\x02\x02\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x2b" \
--mask "\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff" \
--size 20 --set-enabled
else
echo "$0: interpreter ${interpreter} not found, cannot register."
fi
}
%%NAME%%_stop()
{
${BINMISCCTL} remove arm
${BINMISCCTL} remove armv6
${BINMISCCTL} remove armv7
${BINMISCCTL} remove aarch64
${BINMISCCTL} remove mips
${BINMISCCTL} remove mips64
${BINMISCCTL} remove mipsel
${BINMISCCTL} remove powerpc
${BINMISCCTL} remove powerpc64
${BINMISCCTL} remove riscv64
${BINMISCCTL} remove sparc64
}
run_rc_command "$1"

View File

@ -1,20 +0,0 @@
QEMU is a FAST! processor emulator using dynamic translation to achieve
good emulation speed.
QEMU has two operating modes:
* Full system emulation. In this mode, QEMU emulates a full system
(for example a PC), including a processor and various peripherials.
It can be used to launch different Operating Systems without rebooting
the PC or to debug system code.
* User mode emulation. In this mode, QEMU can launch
Linux processes compiled for one CPU on another CPU. It can be used to
launch the Wine Windows API emulator or to ease cross-compilation and
cross-debugging.
As QEMU requires no host kernel patches to run, it is very safe and easy to use.
WWW: http://wiki.qemu.org/Main_Page
This is building sbruno's bsd-user github branch:
WWW: https://github.com/seanbruno/qemu-bsd-user/commits/bsd-user

View File

@ -1,178 +0,0 @@
[
{ type: install
message: <<EOM
FreeBSD host notes
==================
- Needs to set net.link.tap.user_open sysctl in order to use /dev/tap*
networking as non-root. Don't forget to adjust device node permissions in
/etc/devfs.rules.
- slirp (usermode networking) is fixed now in cvs, on FreeSBIE 1.0 guests you
still have to manually do: echo nameserver 10.0.2.3 >/etc/resolv.conf but
i've been told that that's normal. (fixed on FreeSBIE 1.1.) And you have
to wait a bit for dhclient to do its thing; traffic to address 10.0.2.2 is
routed to 127.1 on the host.
- Expect timer problems when guest kernel HZ is > hosts, for example time
sleep 1 takes 49 seconds and booting sleeps for minutes at the acd0 probe
with a FreeSBIE 1.0 guest, thats because its kernel is built with HZ=5000,
and FreeBSD's default is 100... (no longer a problem with FreeSBIE 1.1.)
The linux 2.6 kernel uses 1000 by default btw. (changed to 250 later, and
recent linux kernels now no longer have a fixed HZ, aka `tickless
kernel'...) Enabling /dev/rtc doesn't seem to help either (not included
since it needs a patch to emulators/rtc.)
- Update: the above problem has gotten worse with FreeBSD guests
somewhere before 8.0, mainly since the kernel now usually wants
double or even quadruple number of timer irqs compared to HZ if
it detects an apic (and at least early versions of FreeBSD 8 had
a bug that essentially halved qemu's clock rate too); the only
reason you usually don't see symptoms of this with FreeBSD 8
guests is they automatically reduce their HZ to 100 when running
in a VM while the default for the host kernel is still HZ=1000.
Workaround: you can disable the apic clock in the guest by setting
hint.apic.0.clock="0"
in loader.conf(5) (or manually at the loader prompt), if that
doesn't work the only things you can do is either reduce the
guest's HZ to, say, 100 by setting e.g.
kern.hz="100"
from the loader as above (which usually is a good idea in a VM
anyway and FreeBSD 8 now does by itself as mentioned), or otherwise
increase the host's HZ to 2000 or even 4000 from the loader in
the same way.
- The -smb option (smb-export local dir to guest using the default
slirp networking) needs the samba port/package installed
in addition to qemu. (SAMBA knob.)
- If you want to use usb devices connected to the host in the guest
yot need either recent 10-current (not tested yet much) or you can
use usbredir over the network (see below); also unless you are
running qemu as root you then need to fix permissions for /dev/ugen*
device nodes: if you are on 5.x or later (devfs) put a rule in
/etc/devfs.rules, activate it in /etc/rc.conf and run /etc/rc.d/devfs
restart. Example devfs.rules:
[ugen_ruleset=20]
add path 'ugen*' mode 660 group operator
corresponding rc.conf line:
devfs_system_ruleset="ugen_ruleset"
- If you want to test the new (in 0.15.0) usb network redirection (USBREDIR
option) see this thread by Hans de Goede <hdegoede <at> redhat.com>:
http://thread.gmane.org/gmane.comp.emulators.qemu/110176/focus=110183
Quote:
Example usage:
1) Start usbredirserver for a usb device:
sudo usbredirserver 045e:0772
2) Start qemu with usb2 support + a chardev talking to usbredirserver +
a usb-redir device using this chardev:
qemu -usb \
-readconfig docs/ich9-ehci-uhci.cfg \
-chardev socket,id=usbredirchardev,host=localhost,port=4000 \
-device usb-redir,chardev=usbredirchardev,id=usbredirdev ...
[you would replace docs/ich9-ehci-uhci.cfg with e.g.
/usr/local/share/doc/qemu/docs/ich9-ehci-uhci.cfg, but turns out
ehci was broken for me here with FreeBSD guests and the previous
qemu version at least, I got:
FETCHENTRY: entry at 22C5484 is of type 2 which is not supported yet
processing error - resetting ehci HC
Assertion failed: (0), function ehci_advance_state, file /data/ports/emulators/qemu-devel/work/qemu-0.15.0/hw/usb-ehci.c, line 2045.
The new qemu version works better tho.]
- Still usb: since the hub is no longer attached to the uchi controller and
the wakeup mechanism, resume interrupt is not implemented yet linux guests
will suspend the bus, i.e. they wont see devices usb_add'ed after its
(linux') uhci module got loaded. Workaround: either add devices before
linux loads the module or rmmod and modprobe it afterwards. [Not sure
if this still applies to the new libusb host code used on recent
10-current.]
- If you get repeated `atapi_poll called!' console messages with FreeBSD
guests or other weird cdrom problems then thats probably because the guest
has atapicam loaded, which for reasons still to be determined has problems
with qemu's now by default enabled cdrom dma. You can build the port with
CDROM_DMA disabled to disable it. [Looks like this is fixed in recent
FreeBSD guest versions.]
- If you build qemu wihout SDL and then get crashes running it try passing it
-nographic. This should probably be default in that case...
- qemu's network boot roms (-boot n) have a bug when bootfiles sizes are a
multiple of blksize, if this affects you (like with FreeBSD's /boot/pxeboot)
you can do like
cp /boot/pxeboot pxeboot-qemu && chmod +w pxeboot-qemu && echo >>pxeboot-qemu
and then use pxeboot-qemu. Actually you need recent btx code
(from after 7.0 was released) because of the real mode boot
problem, so use at least pxeboot from there. And I just did that
for the pxeboot extracted out of
ftp://ftp.freebsd.org/pub/FreeBSD/snapshots/200805/7.0-STABLE-200805-i386-bootonly.iso
and placed it here:
http://people.freebsd.org/~nox/qemu/pxeboot-qemu
- If you use slirp (usernet, the default) and want to mount nfs into the guest
and you are not running qemu as root, then mountd(8) on the exporting box
needs to be run with -n in order to accept requests from ports >= 1024.
- (not FreeBSD-specific:) There have been reports of qcow2 corruption with (at
least) win2k guests on recent kvm (which uses similar qcow2 code than qemu
now, see this thread:
http://lists.gnu.org/archive/html/qemu-devel/2009-02/msg00713.html -
the consensus on that thread seems to be that qcow(2) code has always been
experimental and you should use raw images if you want reliability; raw is
also usually faster.) You should be able to migrate existing images to raw
using qemu-img(1)'s convert function; raw doesn't support advanced features
like snapshots tho. [a few important qcow2 bugfixed have been committed in
the meantime so this _might_ be less of an issue now; and meanwhile there
also is the new qed format - I don't know how stable that one is.]
- (also not FreeBSD-specific:) It is recommended to pass raw images using the
new -drive syntax, specifying format=raw explicitly in order to avoid
malicious guests being able to exploit the format autodetection thats
otherwise getting used. (Not that you should run malicious guests anyway,
but this eleminates at least a known attack vector.)
- qemu now has improved physical cdrom support, but still there is at
least one known problem: you need to have the guest eject the disc if you
want to change it/take it out, or otherwise the guest may continue using
state (like size) of the old disc. (You can also do like `change ide1-cd0
/dev/acd0' in the monitor after taking out the disc if a guest cannot eject
it itself.)
- The default configuration location (qemu-ifup script etc.) has been changed
from /etc to PREFIX/etc (usually /usr/local/etc). Move your files
accordingly.
- The pcap code (-net nic... -net pcap,ifname=...) should work properly now,
with only one exception: Advanced features like TSO used on the host
interface can cause oversize packets which now do get truncated to avoid
confusing/panicing guests but of course still will cause retransmissions.
So if you see slow throughput and `pcap_send: packet size > ..., truncating'
messages on qemu's tty try disabling TSO etc on the host interface at least
while using pcap.
)
EOM
}
]

View File

@ -1,153 +0,0 @@
%%SOFTMMU%%bin/qemu-ga
%%SOFTMMU%%bin/qemu-img
%%SOFTMMU%%bin/qemu-io
%%SOFTMMU%%bin/qemu-nbd
%%NONX86%%bin/qemu-system-aarch64
%%NONX86%%bin/qemu-system-alpha
%%NONX86%%bin/qemu-system-arm
%%NONX86%%bin/qemu-system-cris
%%NONX86%%bin/qemu-system-hppa
%%SOFTMMU%%bin/qemu-system-i386
%%NONX86%%bin/qemu-system-lm32
%%NONX86%%bin/qemu-system-m68k
%%NONX86%%bin/qemu-system-microblaze
%%NONX86%%bin/qemu-system-microblazeel
%%NONX86%%bin/qemu-system-mips
%%NONX86%%bin/qemu-system-mips64
%%NONX86%%bin/qemu-system-mips64el
%%NONX86%%bin/qemu-system-mipsel
%%NONX86%%bin/qemu-system-moxie
%%NONX86%%bin/qemu-system-nios2
%%NONX86%%bin/qemu-system-or1k
%%NONX86%%bin/qemu-system-ppc
%%NONX86%%bin/qemu-system-ppc64
%%NONX86%%bin/qemu-system-ppcemb
%%NONX86%%bin/qemu-system-s390x
%%NONX86%%bin/qemu-system-sh4
%%NONX86%%bin/qemu-system-sh4eb
%%NONX86%%bin/qemu-system-sparc
%%NONX86%%bin/qemu-system-sparc64
%%NONX86%%bin/qemu-system-tricore
%%NONX86%%bin/qemu-system-unicore32
%%SOFTMMU%%bin/qemu-system-x86_64
%%NONX86%%bin/qemu-system-xtensa
%%NONX86%%bin/qemu-system-xtensaeb
%%BSD_USER64%%bin/qemu-aarch64%%STATIC%%
%%BSD_USER%%bin/qemu-arm%%STATIC%%
%%BSD_USER%%bin/qemu-i386%%STATIC%%
%%BSD_USER%%bin/qemu-mips%%STATIC%%
%%BSD_USER64%%bin/qemu-mips64%%STATIC%%
%%BSD_USER64%%bin/qemu-mips64el%%STATIC%%
%%BSD_USER%%bin/qemu-mipsel%%STATIC%%
%%BSD_USER%%bin/qemu-ppc%%STATIC%%
%%BSD_USER64%%bin/qemu-ppc64%%STATIC%%
%%BSD_USER%%bin/qemu-sparc%%STATIC%%
%%BSD_USER64%%bin/qemu-sparc64%%STATIC%%
%%BSD_USER64%%bin/qemu-x86_64%%STATIC%%
%%SOFTMMU%%@sample etc/qemu-ifup.sample
%%SOFTMMU%%@sample etc/qemu-ifdown.sample
%%SOFTMMU%%man/man1/qemu.1.gz
%%SOFTMMU%%man/man1/qemu-img.1.gz
%%PORTDOCS%%%%SOFTMMU%%man/man7/qemu-block-drivers.7.gz
%%PORTDOCS%%%%SOFTMMU%%man/man7/qemu-ga-ref.7.gz
%%PORTDOCS%%%%SOFTMMU%%man/man7/qemu-qmp-ref.7.gz
%%SOFTMMU%%man/man8/qemu-ga.8.gz
%%SOFTMMU%%man/man8/qemu-nbd.8.gz
%%SOFTMMU%%%%DATADIR%%/QEMU,cgthree.bin
%%SOFTMMU%%%%DATADIR%%/QEMU,tcx.bin
%%SOFTMMU%%%%DATADIR%%/acpi-dsdt.aml
%%SOFTMMU%%%%DATADIR%%/bamboo.dtb
%%SOFTMMU%%%%DATADIR%%/bios-256k.bin
%%SOFTMMU%%%%DATADIR%%/bios.bin
%%SOFTMMU%%%%DATADIR%%/efi-e1000.rom
%%SOFTMMU%%%%DATADIR%%/efi-e1000e.rom
%%SOFTMMU%%%%DATADIR%%/efi-eepro100.rom
%%SOFTMMU%%%%DATADIR%%/efi-ne2k_pci.rom
%%SOFTMMU%%%%DATADIR%%/efi-pcnet.rom
%%SOFTMMU%%%%DATADIR%%/efi-rtl8139.rom
%%SOFTMMU%%%%DATADIR%%/efi-virtio.rom
%%SOFTMMU%%%%DATADIR%%/efi-vmxnet3.rom
%%SOFTMMU%%%%DATADIR%%/hppa-firmware.img
%%SOFTMMU%%%%DATADIR%%/keymaps/ar
%%SOFTMMU%%%%DATADIR%%/keymaps/bepo
%%SOFTMMU%%%%DATADIR%%/keymaps/common
%%SOFTMMU%%%%DATADIR%%/keymaps/cz
%%SOFTMMU%%%%DATADIR%%/keymaps/da
%%SOFTMMU%%%%DATADIR%%/keymaps/de
%%SOFTMMU%%%%DATADIR%%/keymaps/de-ch
%%SOFTMMU%%%%DATADIR%%/keymaps/en-gb
%%SOFTMMU%%%%DATADIR%%/keymaps/en-us
%%SOFTMMU%%%%DATADIR%%/keymaps/es
%%SOFTMMU%%%%DATADIR%%/keymaps/et
%%SOFTMMU%%%%DATADIR%%/keymaps/fi
%%SOFTMMU%%%%DATADIR%%/keymaps/fo
%%SOFTMMU%%%%DATADIR%%/keymaps/fr
%%SOFTMMU%%%%DATADIR%%/keymaps/fr-be
%%SOFTMMU%%%%DATADIR%%/keymaps/fr-ca
%%SOFTMMU%%%%DATADIR%%/keymaps/fr-ch
%%SOFTMMU%%%%DATADIR%%/keymaps/hr
%%SOFTMMU%%%%DATADIR%%/keymaps/hu
%%SOFTMMU%%%%DATADIR%%/keymaps/is
%%SOFTMMU%%%%DATADIR%%/keymaps/it
%%SOFTMMU%%%%DATADIR%%/keymaps/ja
%%SOFTMMU%%%%DATADIR%%/keymaps/lt
%%SOFTMMU%%%%DATADIR%%/keymaps/lv
%%SOFTMMU%%%%DATADIR%%/keymaps/mk
%%SOFTMMU%%%%DATADIR%%/keymaps/modifiers
%%SOFTMMU%%%%DATADIR%%/keymaps/nl
%%SOFTMMU%%%%DATADIR%%/keymaps/nl-be
%%SOFTMMU%%%%DATADIR%%/keymaps/no
%%SOFTMMU%%%%DATADIR%%/keymaps/pl
%%SOFTMMU%%%%DATADIR%%/keymaps/pt
%%SOFTMMU%%%%DATADIR%%/keymaps/pt-br
%%SOFTMMU%%%%DATADIR%%/keymaps/ru
%%SOFTMMU%%%%DATADIR%%/keymaps/sl
%%SOFTMMU%%%%DATADIR%%/keymaps/sv
%%SOFTMMU%%%%DATADIR%%/keymaps/th
%%SOFTMMU%%%%DATADIR%%/keymaps/tr
%%SOFTMMU%%%%DATADIR%%/kvmvapic.bin
%%SOFTMMU%%%%DATADIR%%/linuxboot.bin
%%LINUXBOOT_DMA%%%%SOFTMMU%%%%DATADIR%%/linuxboot_dma.bin
%%SOFTMMU%%%%DATADIR%%/multiboot.bin
%%SOFTMMU%%%%DATADIR%%/openbios-ppc
%%SOFTMMU%%%%DATADIR%%/openbios-sparc32
%%SOFTMMU%%%%DATADIR%%/openbios-sparc64
%%SOFTMMU%%%%DATADIR%%/palcode-clipper
%%SOFTMMU%%%%DATADIR%%/petalogix-ml605.dtb
%%SOFTMMU%%%%DATADIR%%/petalogix-s3adsp1800.dtb
%%SOFTMMU%%%%DATADIR%%/ppc_rom.bin
%%SOFTMMU%%%%DATADIR%%/pxe-e1000.rom
%%SOFTMMU%%%%DATADIR%%/pxe-eepro100.rom
%%SOFTMMU%%%%DATADIR%%/pxe-ne2k_pci.rom
%%SOFTMMU%%%%DATADIR%%/pxe-pcnet.rom
%%SOFTMMU%%%%DATADIR%%/pxe-rtl8139.rom
%%SOFTMMU%%%%DATADIR%%/pxe-virtio.rom
%%SOFTMMU%%%%DATADIR%%/qemu-icon.bmp
%%SOFTMMU%%%%DATADIR%%/qemu_logo_no_text.svg
%%SOFTMMU%%%%DATADIR%%/qemu_vga.ndrv
%%SOFTMMU%%%%DATADIR%%/s390-ccw.img
%%SOFTMMU%%%%DATADIR%%/s390-netboot.img
%%SOFTMMU%%%%DATADIR%%/sgabios.bin
%%SOFTMMU%%%%DATADIR%%/slof.bin
%%SOFTMMU%%%%DATADIR%%/spapr-rtas.bin
%%SOFTMMU%%%%DATADIR%%/trace-events-all
%%SOFTMMU%%%%DATADIR%%/u-boot.e500
%%SOFTMMU%%%%DATADIR%%/vgabios-cirrus.bin
%%SOFTMMU%%%%DATADIR%%/vgabios-qxl.bin
%%SOFTMMU%%%%DATADIR%%/vgabios-stdvga.bin
%%SOFTMMU%%%%DATADIR%%/vgabios-virtio.bin
%%SOFTMMU%%%%DATADIR%%/vgabios-vmware.bin
%%SOFTMMU%%%%DATADIR%%/vgabios.bin
%%SOFTMMU%%%%DATADIR%%/skiboot.lid
%%GTK2%%share/locale/bg/LC_MESSAGES/qemu.mo
%%GTK2%%share/locale/de_DE/LC_MESSAGES/qemu.mo
%%GTK2%%share/locale/fr_FR/LC_MESSAGES/qemu.mo
%%GTK2%%share/locale/hu/LC_MESSAGES/qemu.mo
%%GTK2%%share/locale/it/LC_MESSAGES/qemu.mo
%%GTK2%%share/locale/tr/LC_MESSAGES/qemu.mo
%%GTK2%%share/locale/zh_CN/LC_MESSAGES/qemu.mo
%%PORTDOCS%%%%DOCSDIR%%/qemu-doc.txt
%%PORTDOCS%%%%DOCSDIR%%/qemu-ga-ref.html
%%PORTDOCS%%%%DOCSDIR%%/qemu-ga-ref.txt
%%PORTDOCS%%%%DOCSDIR%%/qemu-qmp-ref.html
%%PORTDOCS%%%%DOCSDIR%%/qemu-qmp-ref.txt